QtmRawTrackingData Struct Reference

QTM raw eye tracking data. More...

`#include <qtm.h>`

## Data Fields

bool | eyesTracked
| Eye position detected or predicted, equals (confidenceLevel > 0). More...
u8 | _padding [3]
| Padding.
u32 | singletonQtmPtr
| Pointer to eye-tracking singleton pointer, in QTM's .bss, located in N3DS extra memory.
float | confidenceLevel
| Eye tracking confidence level (0 to 1).
float | rawEyeCameraCoordinates [QTM_EYE_NUM][2]
| Raw predicted or detected eye coordinates. More...
float | dPitch
| Difference in gyro pitch from position at console boot.
float | dYaw
| Difference in gyro yaw from position at console boot.
float | dRoll
| Difference in gyro roll from position at console boot.
s64 | samplingTick
| Time point the current measurements were made.

## Detailed Description

QTM raw eye tracking data.

## Field Documentation

## eyesTracked

bool QtmRawTrackingData::eyesTracked

Eye position detected or predicted, equals (confidenceLevel > 0).

If false, QTM will attempt to make a guess based on gyro data. If the console isn't moving either, then QTM will assume the user's eyes are progressively moving back to face the screen. Eye position detected or predicted, equals (confidenceLevel > 0).

## rawEyeCameraCoordinates

float QtmRawTrackingData::rawEyeCameraCoordinates[QTM_EYE_NUM][2]

Raw predicted or detected eye coordinates.

Each eye is represented as one point. Fractional part is not necessarily zero.

Note
  X coord is within 0 to 320.
  Y coord is within 0 to 240.

The documentation for this struct was generated from the following file:

- include/3ds/services/qtm.h